# Uses of Enum
ml.options.ValueConstraint.Type

## Uses of ValueConstraint.Type in ml.options

Subclasses with type arguments of type ValueConstraint.Type in ml.options
Modifier and Type
Class
Description
`static enum`
`ValueConstraint.Type`
An enum with the supported subtypes for this constraint type
Methods in ml.options that return ValueConstraint.Type
Modifier and Type
Method
Description
`static ValueConstraint.Type`
ValueConstraint.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ValueConstraint.Type[]`
ValueConstraint.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in ml.options with parameters of type ValueConstraint.Type
Modifier and Type
Method
Description
`static void`
ValueConstraint.`add(OptionData optionData, ValueConstraint.Type type, String spec)`
Add a constraint of the given `ValueConstraint.Type` with the specified details